全部产品
云市场

用户反馈 Feedback iOS SDK:用 CocoaPods 不能集成,报错“Unable to find a specification for AlicloudFeedback”

更新时间:2017-08-22 18:10:09

问题原因:CocoaPods 使用不当。

问题解决:清除 CocoaPods 缓存,同时也清除仓库缓存,确保 CocoaPods 为最新版(经测试在1.2.1版本下可以集成成功)。并已经更新过 Repo。另外也可参考 Demo 中的做法。

因为「用户反馈」iOS SDK 使用的是私有仓库,清理缓存的方式可能稍有不同:

清理私有 CocoaPods 仓库缓存的方法:

  1. pod repo remove aliyun

或者

  1. cd /Users/[YourMacName]/.cocoapods/repos/

在该目录下找到对应的名为 aliyun 的私有仓库,删除该私有仓库。

再执行:

  1. pod repo update

重新执行

  1. pod search [PodName]

确保能搜到,然后再执行:

  1. pod install

如果还报相同的错误,那么请执行,这样会打印更详细的错误:

  1. pod install --verbose

在对应的钉钉群中贴下详细的报错细节。